Last Comment Bug 888218 - clickable links in Help | About not shown in highlighted text for Daily and Earlybird.
: clickable links in Help | About not shown in highlighted text for Daily and E...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Mail Window Front End (show other bugs)
: Trunk
: x86 Windows Vista
: -- normal (vote)
: Thunderbird 25.0
Assigned To: Richard Marti (:Paenglab)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-28 04:04 PDT by Wayne Mery (:wsmwk, NI for questions)
Modified: 2013-07-12 03:54 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
screen shots of Help | About for TB22 beta and TB23 Earlybird (229.32 KB, image/png)
2013-06-28 04:04 PDT, Wayne Mery (:wsmwk, NI for questions)
no flags Details
About on Aurora (151.97 KB, image/png)
2013-06-28 05:25 PDT, Richard Marti (:Paenglab)
bwinton: ui‑review+
Details
About on Daily (116.67 KB, image/png)
2013-06-28 05:27 PDT, Richard Marti (:Paenglab)
bwinton: ui‑review+
Details
patch (1.76 KB, patch)
2013-06-28 12:00 PDT, Richard Marti (:Paenglab)
bwinton: review+
bwinton: ui‑review+
standard8: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description Wayne Mery (:wsmwk, NI for questions) 2013-06-28 04:04:58 PDT
Created attachment 768872 [details]
screen shots of Help | About for TB22 beta and TB23 Earlybird

The clickable links in Help | About not shown in highlighted text for Daily and Earlybird. Thus, users are going to miss our hints there, such as "get involved".  

Looks OK for the TB22 beta. BUT is/will TB23 beta OK?
Comment 1 Richard Marti (:Paenglab) 2013-06-28 05:22:07 PDT
Firefox is also using white links and white text. There should be also filed a bug for Firefox.

Or maybe it's by design. People using Daily and Aurora don't need this links as they are already involved in testing?
Comment 2 Richard Marti (:Paenglab) 2013-06-28 05:25:13 PDT
Created attachment 768892 [details]
About on Aurora

Blake, what do you think about black as link color? Blue on this blue background wouldn't be optimal.

Don't be irritated, this screenshot is made on Daily with the Aurora background.
Comment 3 Richard Marti (:Paenglab) 2013-06-28 05:27:58 PDT
Created attachment 768893 [details]
About on Daily

On Daily #00f would be optimal, I think.
Comment 4 Wayne Mery (:wsmwk, NI for questions) 2013-06-28 05:34:04 PDT
(In reply to Richard Marti [:Paenglab] from comment #1)
> Firefox is also using white links and white text. There should be also filed
> a bug for Firefox.

ah. quite right

> People using Daily and Aurora don't need this links as they are already involved in testing?

I would disagree. I don't think we can assume they are giving us feedback or there for the purposes of "testing". In addition, the size of our testing population isn't so high that we can't afford to assume we "have them".
Comment 5 Wayne Mery (:wsmwk, NI for questions) 2013-06-28 05:38:23 PDT
(In reply to Richard Marti [:Paenglab] from comment #3)
> Created attachment 768893 [details]
> About on Daily
> 
> On Daily #00f would be optimal, I think.

FWIW, I like it. Although "get involved" also needs the modification for both channels.  

Is this skin ever affected by user OS theme preferences?
Comment 6 Richard Marti (:Paenglab) 2013-06-28 06:25:09 PDT
(In reply to Wayne Mery (:wsmwk) from comment #5)
> (In reply to Richard Marti [:Paenglab] from comment #3)
> > Created attachment 768893 [details]
> > About on Daily
> 
> FWIW, I like it. Although "get involved" also needs the modification for
> both channels.  

I know, this was only a fast DOMi tweak to show how it could look.

> Is this skin ever affected by user OS theme preferences?

As I see it, the colors are hard coded in the branding files and are looking on all OS themes the same.
Comment 7 Blake Winton (:bwinton) (:☕️) 2013-06-28 07:22:24 PDT
Comment on attachment 768892 [details]
About on Aurora

Yeah, it's not the best, but I'ld buy it.
(I think a very dark blue might also work, if you wanted to try that option and go with whatever feels better to you.)
Comment 8 Blake Winton (:bwinton) (:☕️) 2013-06-28 07:23:13 PDT
Comment on attachment 768893 [details]
About on Daily

And yeah, this blue is nicely contrasting with that orange.  I think we could go even a little lighter, if you wanted…
Comment 9 Richard Marti (:Paenglab) 2013-06-28 12:00:50 PDT
Created attachment 769082 [details] [diff] [review]
patch

On Aurora the links are now a dark blue. And on Daily the link is a slightly lighter blue than on the screenshot.
Comment 10 Blake Winton (:bwinton) (:☕️) 2013-06-28 12:04:50 PDT
Comment on attachment 769082 [details] [diff] [review]
patch

Carrying forward the ui-r=me from the previous screenshots, and the code looks good, so r=me while we're here.
Comment 11 Richard Marti (:Paenglab) 2013-06-28 12:45:29 PDT
Comment on attachment 769082 [details] [diff] [review]
patch

[Approval Request Comment]
User impact if declined: User can not determine where is a link.
Risk to taking this patch (and alternatives if risky): Low, this are only color changes.
Comment 12 Ryan VanderMeulen [:RyanVM] 2013-07-11 13:18:13 PDT
https://hg.mozilla.org/comm-central/rev/d91cc1d91c8b
Comment 13 Mark Banner (:standard8) 2013-07-12 03:46:40 PDT
Comment on attachment 769082 [details] [diff] [review]
patch

a=Standard8
Comment 14 Mark Banner (:standard8) 2013-07-12 03:54:53 PDT
https://hg.mozilla.org/releases/comm-aurora/rev/121851d0d988

Note You need to log in before you can comment on or make changes to this bug.